ServerEvents.recipes(event => {
    event.remove({output: 'actuallyadditions:black_quartz'})
    event.remove({id: 'actuallyadditions:laser/crystalize_enori_crystal'})
    event.remove({id: 'actuallyadditions:laser/crystalize_enori_crystal_block'})
    event.remove({id: 'create:mixing/compat/ae2/fluix_crystal'})
    event.remove({id: 'actuallyadditions:mininglens/stone_black_quartz_ore'})
})

ServerEvents.recipes(event => {
  //Iron Ingot -> Steel Ingot
  event.replaceInput(
    { mod: 'actuallyadditions' }, // Arg 1: the filter
    'minecraft:iron_ingot',            // Arg 2: the item to replace
    '#forge:ingots/steel'         // Arg 3: the item to replace it with
  )

  //Iron Block -> Steel Block
  event.replaceInput(
    { mod: 'actuallyadditions' }, // Arg 1: the filter
    'minecraft:iron_block',            // Arg 2: the item to replace
    '#forge:storage_blocks/steel'         // Arg 3: the item to replace it with
  )

  //Enori Crystal
  event.custom({
      "type": "actuallyadditions:laser",
      "energy": 80,
      "ingredient": {
        "tag": "forge:ingots/steel"
      },
      "result": {
        "item": "actuallyadditions:enori_crystal"
      }
  })

  //Crystal Star
  event.custom({
      "type": "actuallyadditions:laser",
      "energy": 800,
      "ingredient": {
        "item": "minecraft:nether_star"
      },
      "result": {
        "item": "kubejs:artifact_star"
      }
  })

  //Infused Crystal Star
  event.custom({
    "type": "actuallyadditions:empowering",
    "base": {
      "item": "kubejs:artifact_star"
    },
    "color": 6522834,
    "energy": 50000,
    "modifiers": [
      {
        "item": "actuallyadditions:empowered_restonia_crystal_block"
      },
      {
        "item": "actuallyadditions:empowered_palis_crystal_block"
      },
      {
        "item": "actuallyadditions:empowered_void_crystal_block"
      },
      {
        "item": "actuallyadditions:empowered_emeradic_crystal_block"
      }
    ],
    "result": {
      "item": "kubejs:artifact_star_animated"
    },
    "time": 250
  }).id('kubejs:artifact_star_animated')

  //Enori Block
  event.custom({
      "type": "actuallyadditions:laser",
      "energy": 800,
      "ingredient": {
        "tag": "forge:storage_blocks/steel"
      },
      "result": {
        "item": "actuallyadditions:enori_crystal_block"
      }
  })

  //Black Quartz
  event.custom({
      "type": "evilcraft:blood_infuser",
      "item": "minecraft:quartz",
      "fluid": {
        "fluid": "evilcraft:blood",
        "amount": 100
      },
      "result": {
        "item": "actuallyadditions:black_quartz"
      },
      "duration": 50,
      "xp": 0.5,
      "tier": 1
  })

  //Black Quartz Block
  event.custom({
      "type": "evilcraft:blood_infuser",
      "item": "minecraft:quartz_block",
      "fluid": {
        "fluid": "evilcraft:blood",
        "amount": 400
      },
      "result": {
        "item": "actuallyadditions:black_quartz_block"
      },
      "duration": 150,
      "xp": 2.0,
      "tier": 1
  })
})